<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LHuntListMember StructType
 * @subpackage Structs
 */
class LHuntListMember extends AbstractStructBase
{
    /**
     * The lineGroupName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $lineGroupName;
    /**
     * The selectionOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $selectionOrder;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LHuntListMember
     * @uses LHuntListMember::setLineGroupName()
     * @uses LHuntListMember::setSelectionOrder()
     * @uses LHuntListMember::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $lineGroupName
     * @param string $selectionOrder
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $lineGroupName = null, $selectionOrder = null, $uuid = null)
    {
        $this
            ->setLineGroupName($lineGroupName)
            ->setSelectionOrder($selectionOrder)
            ->setUuid($uuid);
    }
    /**
     * Get lineGroupName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getLineGroupName()
    {
        return $this->lineGroupName;
    }
    /**
     * Set lineGroupName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $lineGroupName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LHuntListMember
     */
    public function setLineGroupName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $lineGroupName = null)
    {
        $this->lineGroupName = $lineGroupName;
        return $this;
    }
    /**
     * Get selectionOrder value
     * @return string|null
     */
    public function getSelectionOrder()
    {
        return $this->selectionOrder;
    }
    /**
     * Set selectionOrder value
     * @param string $selectionOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LHuntListMember
     */
    public function setSelectionOrder($selectionOrder = null)
    {
        $this->selectionOrder = $selectionOrder;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LHuntListMember
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
